<?php
require_once(LIB_PATH . 'Dashboard.inc'); 
function x_25($x_16f = 'html', $x_16g = 0, $x_3k = Array()) { 
global $_DB; 
global $x_1; 
global $x_33; 
$x_1->getStarInfo(&$x_4); 
$x_16n = $x_4['webStatsTopN']; 
if (!$x_16n) { 
$x_16n = 10; 
$x_16o = $x_16n; 
$x_16p = $x_16n; 
} elseif ($x_16n > 100) { 
$x_16o = $x_16n; 
$x_16p = 100; 
} else { 
$x_16o = $x_16n; 
$x_16p = $x_16n; 
} 
define('TOP_WEBSITES', $x_16p); 
define('TOP_USERS', $x_16o); 
$x_z = new x_10('L4', '', 'sites'); 
$x_z->x_23 = $x_3k['x_23']; 
$x_e2 = Array(); 
$x_8b = new x_8c(); 
$x_lr = Array(); 
$x_7d = Array(); 
if (1 == $x_16g || 'html' == $x_16f) { 
$x_16u = $x_8b->x_lv( $x_3k['periodStart'], 
$x_3k['periodEnd'], 
false, 
TOP_WEBSITES, 
$x_33); 
if (isset($x_16u['message'])) { 
$x_16u['message'] = $x_z->x_cj( $x_16u['message'], 
'sites', 
false, 
$x_33->x_34(), 
'<kerio:text id="websites_noData" /><br><kerio:text id="websites_periods"/>:'); 
} 
$x_e2[1] = Array('x_6u' => '<kerio:text id="topWebsites" />', 
'x_dw' => 'sites_icon_white.gif', 
'x_7d' => $x_16u); 
} 
if (2 == $x_16g || 'html' == $x_16f) { 
$x_7d = $x_8b->x_lq( $x_16u, 
$x_3k['periodStart'], 
$x_3k['periodEnd'], 
TOP_WEBSITES, 
TOP_USERS, 
$x_33); 
$x_e2[2] = Array('x_6u' => '<kerio:text id="topWebsitesDetails" />', 
'x_dw' => 'sites_icon_white.gif', 
'x_7d' => $x_7d['tableData'] 
); 
} 
if ('html' == $x_16f) { 
foreach ($x_e2 as $x_kv => $x_7d) { 
$x_z->x_e0($x_kv, $x_7d); 
} 
$x_16k = $x_z->x_eb('sites') . $x_z->x_1u(); 
return $x_16k; 
} elseif('xml' == $x_16f) { 
$x_z->x_e0($x_16g, $x_e2[$x_16g]); 
return $x_z->x_e5($x_16g); 
} 
} 
?>
